发布时间 :2004-05-04 00:00:00
修订时间 :2008-09-05 16:34:47

[原文]Multiple vulnerabilities in suidperl 5.6.1 and earlier allow a local user to obtain sensitive information about files for which the user does not have appropriate permissions.



- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:debian:debian_linux:3.0Debian Debian Linux 3.0

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  suidperl-obtain-information(15012)
(UNKNOWN)  BID  9543

- 漏洞信息

低危 未知
2004-05-04 00:00:00 2005-10-20 00:00:00

- 公告与补丁


- 漏洞信息

Perl suidperl File Information Leak
Local Access Required Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

suidperl contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when a local user requests a file that does not exist, which will display an error message containing full path information resulting in a loss of confidentiality. If the file does exist, the error message reveals if the file is setuid or setgid.

- 时间线

2003-08-27 2001-03-23
2004-02-01 Unknow

- 解决方案

Upgrade to version 5.6.1-87 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Suidperl Unspecified Information Disclosure Vulnerability
Unknown 9543
No Yes
2004-02-01 12:00:00 2009-07-12 02:06:00
Discovery is credited to Paul Szabo.

- 受影响的程序版本

Larry Wall Perl 5.6.1
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Server 7.0
+ Turbolinux Turbolinux Workstation 8.0
+ Turbolinux Turbolinux Workstation 7.0

- 漏洞讨论

A vulnerability has been reported in Suidperl that may cause sensitive information to be disclosed to unauthorized users. This could potentially permit users to enumerate the existence of files or determine other attributes that should not be accessible to unprivileged users.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 解决方案

Debian has released advisory DSA 431-2 to include updated fixes for this issue. This updated advisory supersedes DSA 431-1.

Larry Wall Perl 5.6.1

- 相关参考